#include <iostream>

using namespace std;
string s;
long long q,i,j,l,r,c;
int main()
{
    cin>>s;
    cin>>q;
    for(i=0;i<q;i++){
        cin>>l>>r;
        c=1;
        for(j=l-1;j<r;j++){
            if(s[j]=='b'){
                if(s[j+1]=='a'&&j<r-1)c++;
            }
            else if(s[j]=='c'){
                if(s[j+1]=='a'&&j<r-1||s[j+1]=='b'&&j<r-1) c++;
            }
        }
        cout<<c<<endl;
    }
    return 0;
}
